Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.facade
Class WebXmlReader

    java.lang.Object
      org.apache.tomcat.core.BaseInterceptor
          org.apache.tomcat.facade.WebXmlReader

public class WebXmlReader
extends BaseInterceptor

Read a servlet2.2 web.xml file and call the apropriate internal API to set up the configuration.

Author:
  costin@dnt.ro

Field Summary
`static int` | `DEFAULT_SESSION_TIMEOUT`
`static java.lang.String[]` | `defaultWelcomeList`

Fields inherited from class org.apache.tomcat.core.BaseInterceptor
`cm, ct, ctx, debug, DECLINED, loghelper, OK`

Constructor Summary
`WebXmlReader()`

Method Summary
`void` | `contextInit(Context ctx)` Notify when a context is initialized.
`void` | `setValidate(boolean b)`

Methods inherited from class org.apache.tomcat.core.BaseInterceptor
`addContainer, addContext, addHandler, addInterceptor, addSecurityConstraint, afterBody, authenticate, authorize, beforeBody, beforeCommit, contextMap, contextShutdown, contextState, copyContext, engineInit, engineShutdown, engineStart, engineState, engineStop, findSession, getContext, getContextManager, getDebug, getInfo, getLog, getNote, getNote, handleError, log, log, log, log, postInitCheck, postReadRequest, postRequest, postService, postServletDestroy, postServletInit, preInitCheck, preService, preServletDestroy, preServletInit, registerHooks, reload, removeContainer, removeContext, removeHandler, removeInterceptor, requestMap, sessionState, setContext, setContextManager, setDebug, setInfo, setNote, setNote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultWelcomeList

    public static final java.lang.String[] defaultWelcomeList

### DEFAULT_SESSION_TIMEOUT

    public static final int DEFAULT_SESSION_TIMEOUT

See Also:
  Constant Field Values

Constructor Detail

### WebXmlReader

    public WebXmlReader()

Method Detail

### setValidate

    public void setValidate(boolean b)

### contextInit

    public void contextInit(Context ctx)
                     throws TomcatException

  Description copied from class: `BaseInterceptor`
  Notify when a context is initialized. The first interceptor in the chain for contextInit must read web.xml and set the context. When this method is called you can expect the context to be filled in with all the informations from web.xml.

  Overrides:
    `contextInit` in class `BaseInterceptor`
  Throws:
    `TomcatException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.